// ==============
// LUN3DM5.SHADER
//
// You're free to use all of this, as always, for non-commercial stuff.
// If you release another Q3 map with these textures/shaders, and you add
// or modify anything, move everything out of lun3dm5 to avoid conflicts.
//
// ==============


textures/lun3dm5/hazeb
{
	qer_editorimage textures/lun3dm5/kloudz1.tga
	
	// the fog brush scatters bounce light in q3map2 using the editorimage as lightimage unless this is set :(
	q3map_bounceScale 0.0
	
	surfaceparm	trans
	surfaceparm	nonsolid
	surfaceparm	fog
	surfaceparm	nolightmap
	fogparms ( 0.4 0.6 0.8 ) 12800
}

textures/lun3dm5/c_crete6g
{
	qer_editorimage textures/lun3dm5/c_crete6g.tga

	q3map_surfaceLight 48
	q3map_backSplash 12 16
	q3map_lightmapFilterRadius 0 4

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm5/c_crete6g.tga
		blendfunc filter
	}
}
textures/lun3dm5/c_crete6gbis
{
	qer_editorimage textures/lun3dm5/c_crete6gbis.tga

	q3map_surfaceLight 64
	q3map_backSplash 12 16
	q3map_lightmapFilterRadius 0 4
	surfaceparm slick

	{
		map $lightmap
		tcgen lightmap
		rgbGen identity
	}
	{
		map textures/lun3dm5/c_crete6gbis.tga
		blendfunc filter
	}
}
textures/lun3dm5/c_crete6gs
{
	qer_editorimage textures/lun3dm5/c_edges_ed.tga
	{
		map textures/lun3dm5/env4.tga
		tcGen environment
	}
	{
		map textures/lun3dm5/c_crete6g.tga
		tcMod scale 3.9 3.9 	
		blendFunc GL_ONE GL_SRC_ALPHA
	}
	{
		map textures/lun3dm5/c_edges.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/lun3dm5/c_crete6gsl
{
	qer_editorimage textures/lun3dm5/c_edgesbig_ed.tga
	{
		map textures/lun3dm5/env4.tga
		tcGen environment
	}
	{
		map textures/lun3dm5/c_crete6g.tga
		tcMod scale 7.7 7.7	
		blendFunc GL_ONE GL_SRC_ALPHA
	}
	{
		map textures/lun3dm5/c_edgesbig.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}


textures/lun3dm5/c_crete6gs_hi
{
	q3map_remapShader textures/lun3dm5/c_crete6gs
	qer_editorimage textures/lun3dm5/c_edgeshi_ed.tga
	q3map_lightmapSampleSize 4
}

textures/lun3dm5/c_crete6gs_lo
{
	q3map_remapShader textures/lun3dm5/c_crete6gs
	qer_editorimage textures/lun3dm5/c_edgeslo_ed.tga
	q3map_lightmapSampleSize 16
}

textures/lun3dm5/c_crete6gsl_hi
{
	q3map_remapShader textures/lun3dm5/c_crete6gsl
	qer_editorimage textures/lun3dm5/c_edgesbighi_ed.tga
	q3map_lightmapSampleSize 4
}

textures/lun3dm5/c_crete6gsl_lo
{
	q3map_remapShader textures/lun3dm5/c_crete6gsl
	qer_editorimage textures/lun3dm5/c_edgesbiglo_ed.tga
	q3map_lightmapSampleSize 16
}



textures/lun3dm5/telecone
{
	qer_editorimage textures/lun3dm5/blk1.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	cull none
	{
		map textures/lun3dm5/omgstars.tga
		alphaGen vertex
		tcMod scale 2 0.125
		tcMod scroll 0 0.125
		blendFunc GL_SRC_ALPHA GL_ONE
	}
}

textures/lun3dm5/jumpcone
{
	qer_editorimage textures/lun3dm5/blk1.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm trans
	deformVertexes move 0 0 4 sine 0 1 0 0.25
	{
		map textures/lun3dm5/jfx_dust.tga
		alphaGen vertex
		tcMod scale 2 0.125
		tcMod scroll 0 0.125
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
}



textures/lun3dm5/jfx2
{
	qer_editorimage textures/lun3dm5/jfx_puff1.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	deformVertexes move 0 0 32 sawtooth 0 1 0 1
	{
		clampMap textures/lun3dm5/jfx_puff1.tga
		rgbGen wave sine 0.15 0.15 0.75 1
		tcMod stretch inverseSawtooth 0.75 0.25 0 1
		blendFunc GL_ONE GL_ONE
	}
	{
		animMap 1 textures/lun3dm5/jfx_l1.tga textures/lun3dm5/jfx_l1.tga textures/lun3dm5/jfx_l2.tga textures/lun3dm5/jfx_l2.tga
		rgbGen wave sine 0.125 0.125 0.75 1
		tcMod stretch inverseSawtooth 1.5 0.5 0 1
		tcMod rotate 17
		blendFunc GL_ONE GL_ONE
	}
	{
		animMap 1 textures/lun3dm5/jfx_r1.tga textures/lun3dm5/jfx_r2.tga textures/lun3dm5/jfx_r2.tga textures/lun3dm5/jfx_r1.tga
		rgbGen wave sine 0.125 0.125 0.75 1
		tcMod stretch inverseSawtooth 1.5 0.5 0 1
		tcMod rotate -14
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm5/tfx2_xp
{
	qer_editorimage textures/lun3dm5/tfx2_1.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	deformVertexes move -32 0 0 inversesawtooth 0 -1 0 0.75
	{
		animMap 3 textures/lun3dm5/blk1.tga textures/lun3dm5/tfx2_1.tga textures/lun3dm5/tfx2_2.tga textures/lun3dm5/tfx2_3.tga
		rgbGen wave inverseSawtooth 0 .3 0 3
		tcMod stretch inverseSawtooth 1.5 0.5 0 0.75
		blendFunc GL_ONE GL_ONE
	}
	{
		animMap 3 textures/lun3dm5/tfx2_1.tga textures/lun3dm5/tfx2_2.tga textures/lun3dm5/tfx2_3.tga textures/lun3dm5/blk1.tga
		rgbGen wave sawtooth 0 .3 0 3
		tcMod stretch inverseSawtooth 1.5 0.5 0 0.75
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm5/tfx2_xn
{
	qer_editorimage textures/lun3dm5/tfx2_1.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	deformVertexes move 32 0 0 inversesawtooth 0 -1 0 0.75
	{
		animMap 3 textures/lun3dm5/blk1.tga textures/lun3dm5/tfx2_1.tga textures/lun3dm5/tfx2_2.tga textures/lun3dm5/tfx2_3.tga
		rgbGen wave inverseSawtooth 0 .3 0 3
		tcMod stretch inverseSawtooth 1.5 0.5 0 0.75
		blendFunc GL_ONE GL_ONE
	}
	{
		animMap 3 textures/lun3dm5/tfx2_1.tga textures/lun3dm5/tfx2_2.tga textures/lun3dm5/tfx2_3.tga textures/lun3dm5/blk1.tga
		rgbGen wave sawtooth 0 .3 0 3
		tcMod stretch inverseSawtooth 1.5 0.5 0 0.75
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm5/tfx2_yp
{
	qer_editorimage textures/lun3dm5/tfx2_1.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	deformVertexes move 0 -32 0 inversesawtooth 0 -1 0 0.75
	{
		animMap 3 textures/lun3dm5/blk1.tga textures/lun3dm5/tfx2_1.tga textures/lun3dm5/tfx2_2.tga textures/lun3dm5/tfx2_3.tga
		rgbGen wave inverseSawtooth 0 .3 0 3
		tcMod stretch inverseSawtooth 1.5 0.5 0 0.75
		blendFunc GL_ONE GL_ONE
	}
	{
		animMap 3 textures/lun3dm5/tfx2_1.tga textures/lun3dm5/tfx2_2.tga textures/lun3dm5/tfx2_3.tga textures/lun3dm5/blk1.tga
		rgbGen wave sawtooth 0 .3 0 3
		tcMod stretch inverseSawtooth 1.5 0.5 0 0.75
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm5/tfx2_yn
{
	qer_editorimage textures/lun3dm5/tfx2_1.tga
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	deformVertexes move 0 32 0 inversesawtooth 0 -1 0 0.75
	{
		animMap 3 textures/lun3dm5/blk1.tga textures/lun3dm5/tfx2_1.tga textures/lun3dm5/tfx2_2.tga textures/lun3dm5/tfx2_3.tga
		rgbGen wave inverseSawtooth 0 .3 0 3
		tcMod stretch inverseSawtooth 1.5 0.5 0 0.75
		blendFunc GL_ONE GL_ONE
	}
	{
		animMap 3 textures/lun3dm5/tfx2_1.tga textures/lun3dm5/tfx2_2.tga textures/lun3dm5/tfx2_3.tga textures/lun3dm5/blk1.tga
		rgbGen wave sawtooth 0 .3 0 3
		tcMod stretch inverseSawtooth 1.5 0.5 0 0.75
		blendFunc GL_ONE GL_ONE
	}
}

textures/lun3dm5/d_n
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm trans
	polygonOffset
	{
		map textures/lun3dm5/d_n.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/lun3dm5/c_crete6j
{
	qer_editorimage textures/lun3dm5/c_crete6j.tga
	surfaceparm nodamage
	{
		animMap 3 textures/lun3dm5/jring_1.tga textures/lun3dm5/jring_2.tga textures/lun3dm5/jring_3.tga
		rgbGen wave inverseSawtooth 0 1 0 3
		tcMod stretch sawtooth 0.1 1.5 0 1
	}
	{
		animMap 3 textures/lun3dm5/jring_2.tga textures/lun3dm5/jring_3.tga textures/lun3dm5/blk1.tga
		rgbGen wave sawtooth 0 1 0 3
		tcMod stretch sawtooth 0.1 1.5 0 1
		blendFunc GL_ONE GL_ONE
	}
	{
		clampMap textures/lun3dm5/jring_x.tga
		tcMod stretch sawtooth 0.2 3 0 1
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		animMap 1 textures/lun3dm5/jfxmask1.tga textures/lun3dm5/jfxmask2.tga textures/lun3dm5/jfxmask3.tga textures/lun3dm5/jfxmask4.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm5/c_crete6j.tga
		blendFunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/lun3dm5/c_crete6j_bright
{
	qer_editorimage textures/lun3dm5/c_crete6j.tga
	surfaceparm nodamage
	{
		animMap 3 textures/lun3dm5/jring_1.tga textures/lun3dm5/jring_2.tga textures/lun3dm5/jring_3.tga
		rgbGen wave inverseSawtooth 0 1 0 3
		tcMod stretch sawtooth 0.1 1.5 0 1
	}
	{
		animMap 3 textures/lun3dm5/jring_2.tga textures/lun3dm5/jring_3.tga textures/lun3dm5/blk1.tga
		rgbGen wave sawtooth 0 1 0 3
		tcMod stretch sawtooth 0.1 1.5 0 1
		blendFunc GL_ONE GL_ONE
	}
	{
		clampMap textures/lun3dm5/jring_x.tga
		tcMod stretch sawtooth 0.2 3 0 1
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
	{
		animMap 1 textures/lun3dm5/jfxmask1.tga textures/lun3dm5/jfxmask2.tga textures/lun3dm5/jfxmask3.tga textures/lun3dm5/jfxmask4.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm5/c_crete6j.tga
		blendFunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}



textures/lun3dm5/c_crete6t
{
	qer_editorimage textures/lun3dm5/c_crete6t.tga
	surfaceparm nodamage
	{
		animMap 3 textures/lun3dm5/blk1.tga textures/lun3dm5/tring_1.tga textures/lun3dm5/tring_1b.tga textures/lun3dm5/tring_2.tga
		rgbGen wave inverseSawtooth 0 1 0 3
		tcMod stretch inverseSawtooth 0.1 4 0 0.75
	}
	{
		animMap 3 textures/lun3dm5/tring_1.tga textures/lun3dm5/tring_1b.tga textures/lun3dm5/tring_2.tga textures/lun3dm5/tring_3.tga
		rgbGen wave sawtooth 0 1 0 3
		tcMod stretch inverseSawtooth 0.1 4 0 0.75
		blendFunc GL_ONE GL_ONE
	}
	{
		clampMap textures/lun3dm5/tring_x.tga
		tcMod stretch inverseSawtooth 0.2 8 0 0.75
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		animMap 0.75 textures/lun3dm5/tfxmask1.tga textures/lun3dm5/tfxmask2.tga textures/lun3dm5/tfxmask3.tga textures/lun3dm5/tfxmask4.tga
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/lun3dm5/c_crete6t.tga
		blendFunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/lun3dm5/c_crete6t_bright
{
	qer_editorimage textures/lun3dm5/c_crete6t.tga
	surfaceparm nodamage
	{
		animMap 3 textures/lun3dm5/blk1.tga textures/lun3dm5/tring_1.tga textures/lun3dm5/tring_1b.tga textures/lun3dm5/tring_2.tga
		rgbGen wave inverseSawtooth 0 1 0 3
		tcMod stretch inverseSawtooth 0.1 4 0 0.75
	}
	{
		animMap 3 textures/lun3dm5/tring_1.tga textures/lun3dm5/tring_1b.tga textures/lun3dm5/tring_2.tga textures/lun3dm5/tring_3.tga
		rgbGen wave sawtooth 0 1 0 3
		tcMod stretch inverseSawtooth 0.1 4 0 0.75
		blendFunc GL_ONE GL_ONE
	}
	{
		clampMap textures/lun3dm5/tring_x.tga
		tcMod stretch inverseSawtooth 0.2 8 0 0.75
		blendFunc GL_DST_COLOR GL_ZERO
	}

	{
		animMap 0.75 textures/lun3dm5/tfxmask1.tga textures/lun3dm5/tfxmask2.tga textures/lun3dm5/tfxmask3.tga textures/lun3dm5/tfxmask4.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
	{
		map textures/lun3dm5/c_crete6t.tga
		blendFunc GL_ONE GL_ONE
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}